javax.swing.plaf.basic

## Class BasicListUI.FocusHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicListUI.FocusHandler

All Implemented Interfaces:
  FocusListener, EventListener

Enclosing class:
  BasicListUI

    public class BasicListUI.FocusHandler
    extends Object
    implements FocusListener

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTableUI.

### Constructor Summary

Constructors
Constructor and Description
`BasicListUI.FocusHandler()`

### Method Summary

Methods
`void` `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
`void` `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.
`protected void` `repaintCellFocus()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicListUI.FocusHandler

    public BasicListUI.FocusHandler()

### Method Detail

#### repaintCellFocus

    protected void repaintCellFocus()

#### focusGained

    public void focusGained(FocusEvent e)

Description copied from interface: `FocusListener`
Invoked when a component gains the keyboard focus.

Specified by:
  `focusGained` in interface `FocusListener`

#### focusLost

    public void focusLost(FocusEvent e)

Description copied from interface: `FocusListener`
Invoked when a component loses the keyboard focus.

Specified by:
  `focusLost` in interface `FocusListener`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.